#!/usr/bin/ksh

CURDIR=`pwd`
PRODS="`cat _products.txt | grep -v '^#'`"

if [ -n "$1" ]; then
	PRODS="$1"
fi

# Run the build script for anything which needs building
for PROD in $PRODS
do
	if [ -x "BUILD/$PROD/build.sh" ]; then
		echo "=== BUILDING $PROD ..."
		cd BUILD/$PROD; ./build.sh $PROD 2>&1 | tee ../../output/${PROD}_build.out
		cd $CURDIR
	else
		echo "=== BUILDING $PROD ... NO BUILD NEEDED"
	fi
done
