#!/usr/bin/ksh

CURDIR=`pwd`
PRODS="`cat _products.txt | grep -v '^#'`"

if [ -n "$1" ]; then
	PRODS="$1"
fi

if [ ! -d image ]; then
	mkdir -p image
fi
if [ ! -d output ]; then
	mkdir -p output
fi

for PROD in $PRODS
do
	if [ -f "../${PROD}.pkg" ]; then
		cd ..
		# Clear prior packages
		rm -rf $CURDIR/image/$PROD $CURDIR/image/${PROD}.pkg

		# Just copy and transfer the package to the image directory
		echo "=== COPYING PACKAGE IMAGE FOR $PROD ..."
		cp ${PROD}.pkg $CURDIR/image | tee $CURDIR/output/${PROD}_cpypkg.out
		echo "=== TRANSFERRING PACKAGE IMAGE FOR $PROD ..."
		pkgtrans `pwd`/${PROD}.pkg $CURDIR/image $PROD | tee -a $CURDIR/output/${PROD}_cpypkg.out
		cd $CURDIR
	else
		echo "=== NO PACKAGE IMAGE FOR $PROD ... SKIPPED"
	fi
done
