#!/usr/bin/ksh

CURDIR=`pwd`
PRODS="`cat _products.txt | grep -v '^#'`"
SETS="`cat _sets.txt | grep -v '^#'`"

if [ -n "$1" ]; then
	if [ -n "`grep $1 _products.txt`" ]; then
		PRODS="$1"
		SETS=" "
	elif [ -n "`grep $1 _sets.txt`" ]; then
		PRODS=" "
		SETS="$1"
	else
		echo "$1 not found in _products.txt or _sets.txt!"
		exit 1
	fi
fi

# Put all files to be packaged into the bin directory
if [ ! -d bin ]; then
	mkdir bin
fi

# Run the install script for any package
for PROD in $PRODS
do
	echo "=== REMOVING OLD bin/$PROD ..."
	rm -rf bin/$PROD
	if [ -x "BUILD/$PROD/install.sh" ]; then
		echo "=== INSTALLING $PROD ..."
		mkdir bin/$PROD
		cd BUILD/$PROD; ./install.sh $PROD 2>&1 | tee ../../output/${PROD}_inst.out
		cd $CURDIR
	else
		echo "=== INSTALLING $PROD ... NO INSTALL NEEDED"
	fi
done

# Run the install script for any set
for SET in $SETS
do
	echo "=== REMOVING OLD bin/$SET ..."
	rm -rf bin/$SET
	if [ -x "BUILD/$SET/install.sh" ]; then
		echo "=== INSTALLING SET $SET ..."
		mkdir bin/$SET
		cd BUILD/$SET; ./install.sh $SET 2>&1 | tee -a ../../output/${SET}_inst.out
		cd $CURDIR
	else
		echo "=== INSTALLING SET $SET ... NO INSTALL NEEDED"
	fi
done
