#!/usr/bin/ksh

set -x

PKG=curl

CURDIR=`pwd`

# Copy packaging files
cp pkg/* ../../bin/$1

cd ../../bin/$1

# Get the copyright file from the COPYING file, but truncate it
cp ../../$1/COPYING copyright
# Now, do the prototyping
> prototype
if [ -f prototype.i ]; then
	cp prototype.i prototype
fi

pkgproto -c none usr >> prototype

# Fix the generated prototype
USR=`id -nu`; GRP=`id -ng`
perl -pi -e "s%$USR $GRP%root sys%g;
		s% usr .*% usr ? ? ?%g;
		s% usr/bin .*% usr/bin ? ? ?%g;
		s% usr/include .*% usr/include ? ? ?%g;
		s% usr/lib .*% usr/lib ? ? ?%g;
		s% usr/man .*% usr/man ? ? ?%g;
		s% usr/man/man1 .*% usr/man/man1 0755 bin bin%g;
		s% usr/man/man3 .*% usr/man/man3 0755 bin bin%g;
		s% usr/share .*% usr/share ? ? ?%g;
		s%^f %v %g;
		s%^(s .*=)%\$1./%g;
		" prototype

# Generate a directory structure package
rm -rf ../../image/$PKG
pkgmk -c -o -B 512 -p "$PKG `date '+%m/%d/%y'`" -r `pwd` -d `pwd`/../../image

# And generate a data stream for the package
cd ../../image
pkgtrans -o -s $PWD $PWD/$PKG.pkg $PKG

cd $CURDIR
