#! /usr/bin/ksh

set -x
set -e

cd ../../$1

#Must be the full path name
SRCDIR="`pwd`"

# Must have GNU make installed
if [ ! -x /usr/local/bin/make ]; then
	echo "GNU make must be installed!"
	exit 1
fi

# Need the which command
PATH=/usr/local/bin:$PATH:/usr/ucb

export SRCDIR
export CC=cc
export LDFLAGS="-O2 -Kpthread -Wl,-Bexport"
export CCFLAGS="-Kpthread -O2"

cd $SRCDIR
rm -rf WORKER
mkdir -p WORKER
rm -rf PREFORK
mkdir -p PREFORK

# First, create the PREFORK version
(
	cd PREFORK
	../configure --prefix=/opt/apache2 --with-mpm=prefork --enable-ssl \
	--with-ssl --enable-cache --enable-disk-cache --enable-mem-cache \
	--enable-deflate --enable-cgid --enable-proxy --enable-proxy-connect \
	--enable-proxy-http --enable-proxy-ftp --with-devrandom \
	--enable-mods-shared=all

	make
)

# Then, create the WORKER version
(
	cd WORKER
	../configure --prefix=/opt/apache2 --with-mpm=worker --enable-ssl \
	--with-ssl --enable-cache --enable-disk-cache --enable-mem-cache \
	--enable-deflate --enable-cgid --enable-proxy --enable-proxy-connect \
	--enable-proxy-http --enable-proxy-ftp --with-devrandom \
	--enable-mods-shared=all

	make
)
