#!/usr/bin/ksh

set -x

PKG=apache2

CURDIR=`pwd`

# Copy packaging files
cp pkg/* ../../bin/$1

cd ../../bin/$1

# Get the copyright file from the LICENSE file
cp ../../$1/LICENSE copyright

# Now, do the prototyping
> prototype
if [ -f prototype.i ]; then
	cp prototype.i prototype
fi

pkgproto -c $PKG etc >> prototype
pkgproto -c $PKG opt >> prototype

# Fix the generated prototype
USR=`id -nu`; GRP=`id -ng`
perl -pi -e "
	s%$USR $GRP%root sys%g;
	s% etc .*% etc ? ? ?%g;
	s% etc/init.d .*% etc/init.d ? ? ?%g;
	s%^(s .*=)%\$1./%g;
	" prototype

# Generate a directory structure package
rm -rf ../../image/$PKG
pkgmk -c -o -B 512 -p "$PKG `date '+%m/%d/%y'`" -r `pwd` -d `pwd`/../../image

# And generate a data stream for the package
cd ../../image
pkgtrans -o -s $PWD $PWD/$PKG.pkg $PKG

cd $CURDIR
