#!/usr/bin/ksh

PKG=tomcat
VERSION="4.1.30"
BDIR=${1}-${VERSION}

CURDIR=`pwd`
# Copy packaging files
cp pkg/* ../../bin/$1

cd ../../bin/$1

# Get the copyright file from the LICENSE file
cp usr/lib/apache/$BDIR/LICENSE copyright

# Now, do the prototyping
> prototype
if [ -f prototype.i ]; then
	cp prototype.i prototype
fi

pkgproto -c none usr >> prototype

# Fix the generated prototype
USR=`id -nu`; GRP=`id -ng`
perl -pi -e "
	s%$USR $GRP%root sys%g;
	s% usr 0755 root sys% usr ? ? ?%g;
	s% usr/lib 0755 root sys% usr/lib ? ? ?%g;
	s%^f %v %g;
	" prototype

# Generate a directory structure package
rm -rf ../../image/$PKG
pkgmk -c -o -B 512 -p "$PKG `date`" -r `pwd` -d `pwd`/../../image

# And generate a data stream for the package
cd ../../image
pkgtrans -o -s $PWD $PWD/$PKG.pkg $PKG

cd $CURDIR
