#!/usr/bin/ksh

set -x

PKG=javasoap

CURDIR=`pwd`

# Copy packaging files
cp pkg/* ../../bin/$1

cd ../../bin/$1

# Now, do the prototyping
> prototype
if [ -f prototype.i ]; then
	cp prototype.i prototype
fi

pkgproto -c none usr >> prototype

# Fix the generated prototype
USR=`id -nu`; GRP=`id -ng`
perl -pi -e "
	s% $USR $GRP% bin bin %g;
	s% usr .*% usr ? ? ?%g;
	s% usr/java .*% usr/java ? ? ?%g;
	" prototype

# Generate a directory structure package
rm -rf ../../image/$PKG
#pkgmk -c -o -B 512 -p "$PKG `date '+%m/%d/%y'`" -r `pwd` -d `pwd`/../../image
pkgmk -o -B 512 -p "$PKG `date '+%m/%d/%y'`" -r `pwd` -d `pwd`/../../image

# And generate a data stream for the package
cd ../../image
pkgtrans -o -s $PWD $PWD/$PKG.pkg $PKG

cd $CURDIR
