#!/usr/bin/ksh

PKG=scoxldemo

CURDIR=`pwd`

# Copy packaging files
cp pkg/* ../../bin/$1

cd ../../bin/$1

# Now, do the prototyping
> prototype
if [ -f prototype.i ]; then
	cp prototype.i prototype
fi

pkgproto -c none usr >> prototype

# Fix the generated prototype
USR=`id -nu`; GRP=`id -ng`
perl -pi -e "s%$USR $GRP%bin bin%g; s% usr 0755 bin bin% usr ? ? ?%g; s% usr/lib 0755 bin bin% usr/lib ? ? ?%g" prototype

# Generate a directory structure package
rm -rf ../../image/$PKG
pkgmk -c -o -B 512 -p "$PKG `date`" -r `pwd` -d `pwd`/../../image

# And generate a data stream for the package
cd ../../image
pkgtrans -o -s $PWD $PWD/$PKG.pkg $PKG

cd $CURDIR
