#! /usr/bin/ksh

set -x
set -e

cd ../../$1

CURDIR="`pwd`"
PATH=/opt/bin:/usr/local/bin:$PATH:/usr/ucb

perl Makefile.PL \
	DESTDIR=`pwd`/../bin/$1/opt \
	MP_AP_PREFIX=/opt/apache2

# Fix the Makefile so that install stuff goes to the right place
perl -pi -e "
	s%/BUILDROOT/perl/\.\./bin/perl/%/BUILDROOT/mod_perl/../bin/mod_perl/%g;
	s%^INSTALLPRIVLIB[ \t]*\=.*\.\./bin/mod_perl/opt%INSTALLPRIVLIB = %g;
	s%^INSTALLSITELIB[ \t]*\=.*\.\./bin/mod_perl/opt%INSTALLSITELIB = %g;
	s%^INSTALLARCHLIB[ \t]*\=.*\.\./bin/mod_perl/opt%INSTALLARCHLIB = %g;
	s%^INSTALLSITEARCH[ \t]*\=.*\.\./bin/mod_perl/opt%INSTALLSITEARCH = %g;
	s%^INSTALLBIN[ \t]*\=.*\.\./bin/mod_perl/opt%INSTALLBIN = %g;
	s%^INSTALLSITEBIN[ \t]*\=.*\.\./bin/mod_perl/opt%INSTALLSITEBIN = %g;
	s%^INSTALLSCRIPT[ \t]*\=.*\.\./bin/mod_perl/opt%INSTALLSCRIPT = %g;
	s%^INSTALLMAN1DIR[ \t]*\=.*\.\./bin/mod_perl/opt%INSTALLMAN1DIR = %g;
	s%^INSTALLSITEMAN1DIR[ \t]*\=.*\.\./bin/mod_perl/opt%INSTALLSITEMAN1DIR = %g;
	s%^INSTALLSITEMAN3DIR[ \t]*\=.*\.\./bin/mod_perl/opt%INSTALLSITEMAN3DIR = %g;
	" Makefile

# Fix the Makefile.modperl file, since it doesn't get properly configured
perl -pi -e "
	s%MODPERL_AP_LIBEXECDIR =.*%MODPERL_AP_LIBEXECDIR = `pwd`/../bin/$1/opt/apache2/modules%g;
	s%MODPERL_AP_INCLUDEDIR =.*%MODPERL_AP_INCLUDEDIR = `pwd`/../bin/$1/opt/apache2/include%g;
	" src/modules/perl/Makefile.modperl

make

cd $CURDIR
