#! /usr/bin/ksh

set -x
set -e

cd ../../$1

# Must have md5 to obtain the checksums
if [ ! -x /usr/local/bin/md5 ]; then
	echo "/usr/local/bin/md5 must be installed and executable!"
	exit 1
fi

# Must have pear installed to make the source bundle
if [ ! -x /usr/bin/pear ]; then
	echo "pear must be installed and executable!"
	exit 1
fi

# Fix the md5sum's so they match the files
cp package.xml package.xml.orig
/opt/bin/perl -e '
	open (INPF, "<package.xml") || die "Cannot find file package.xml!\n";
	select (STDOUT); $! = 1;
	foreach (<INPF>) {
		if (/\<file role=/) {
			chomp;
			$_ =~ s/^[ \t]*//g;
			@pts = split (/ /, $_);
			@nms = split (/\"/, ${pts[4]});
			open (MD5, "/usr/local/bin/md5 $nms[1] |");
			$md5s = <MD5>;
			close (MD5);
			chomp ($md5s);
			$md5s =~ s/.*= //g;
			print "      ${pts[0]} ${pts[1]} ${pts[2]} md5sum=\"${md5s}\" ${pts[4]}\n";
		} else {
			print $_;
		}
	}
	close (INPF);
' > package2.xml
mv package2.xml package.xml

# Finally, create a packages for the whole thing
pear package
