#! /usr/bin/ksh

set -x
set -e

#Add the path to the GNU tools
PATH=$PATH:/usr/local/bin:/usr/gnu/bin:/usr/ucb

cd ../../$1
SDIR=`pwd`

# We need to build for both apache 1.X.X and apache 2.X.X
rm -rf APACHE1 APACHE2

# Make sure bison is available.
if [ ! -x /usr/gnu/bin/bison ]; then
	echo "ERROR: /usr/gun/bin/bison not found!"
	exit 1
fi

# Make sure which is available
if [ ! -x /usr/ucb/which ]; then
	echo "ERROR: /usr/ucb/which not found!"
	exit 1
fi

#
# Build for apache 1.X.X
#

mkdir -p APACHE1
find * -print | grep -v "APACHE[12]" | cpio -pdumv APACHE1
cd APACHE1
# Run the configure
export CC=/usr/bin/cc
export LD=/usr/bin/cc
export CFLAGS="-O2 -Kpthread"
export LDFLAGS="-R/usr/lib:/usr/local/lib"
# Note: try to keep the options for this configure and the one below the same
./configure \
	--disable-debug \
	--prefix=/usr \
	--with-dom \
	--with-apxs=/usr/lib/apache/bin/apxs \
	--with-curl=/usr/lib \
	--with-config-file-path=/usr/lib/apache \
	--with-openssl=/usr \
	--with-zlib=/usr \
	--enable-ftp \
	--enable-sigchild \
	--enable-versioning \
	--enable-trackvars \
	--enable-fastcgi \
	--without-gd \
	--without-jpeg-dir \
	--without-png \
	--with-mysql=/usr/local/mysql \
	--with-pear \
	--enable-sysvmsg \
	--enable-sysvsem \
	--enable-sysvmsg

## Replace -lcurl with /usr/lib/libcurl.so.2 within the Makefile
#if [ ! -f Makefile.1st ]; then
#	cp Makefile Makefile.1st
#fi
#cat Makefile.1st | sed 's%-lcurl%/usr/lib/libcurl.so.2.0.2%g' > Makefile

# Do the below if bison isn't available, and you still want to build.
#	touch Zend/zend_language_scanner.c
#	touch Zend/zend_ini_scanner.c
#	touch ext/standard/var_unserializer.c
#	touch ext/standard/url_scanner_ex.c

make
#make test

#
# Now, do the make for apache 2.X.X
#
cd $SDIR
mkdir -p APACHE2
find * -print | egrep -v "APACHE[12]" | cpio -pdumv APACHE2
cd APACHE2
# Run the configure
CC=/usr/bin/cc
LD=/usr/bin/cc
CFLAGS="-O2 -Kpthread"
# Note: try to keep the options for this configure and the one above the same
../configure \
	--disable-debug \
	--prefix=/opt \
	--with-dom \
	--with-apxs2=/opt/apache2/bin/apxs \
	--with-curl=/usr/lib \
	--with-config-file-path=/opt/apache2 \
	--with-openssl=/usr \
	--with-zlib=/usr \
	--enable-ftp \
	--enable-sigchild \
	--enable-versioning \
	--enable-trackvars \
	--enable-fastcgi \
	--without-gd \
	--without-jpeg-dir \
	--without-png \
	--with-mysql=/usr/local/mysql \
	--with-pear \
	--enable-sysvmsg \
	--enable-sysvsem \
	--enable-sysvmsg

## Replace -lcurl with /usr/lib/libcurl.so.2 within the Makefile
#if [ ! -f Makefile.1st ]; then
#	cp Makefile Makefile.1st
#fi
#cat Makefile.1st | sed 's%-lcurl%/usr/lib/libcurl.so.2.0.2%g' > Makefile

# Do the below if bison isn't available, and you still want to build.
#	touch Zend/zend_language_scanner.c
#	touch Zend/zend_ini_scanner.c
#	touch ext/standard/var_unserializer.c
#	touch ext/standard/url_scanner_ex.c

make
#make test
