#! /usr/bin/ksh

set -x
set -e

cd ../../$1

CURDIR="`pwd`"
PATH=/opt/bin:/usr/local/bin:$PATH

FILES=" \
	XML-Parser \
	SOAP-Lite"

rm -rf opt
mkdir -p opt/lib

for file in $FILES
do
	ZIPFILE="${file}.tar.gz"
	echo "*** Unwinding $ZIPFILE ***"
	gunzip -c $ZIPFILE | tar xvf -
	DIR="`ls -d ${file}-*`"
	echo "*** Building $DIR ***"
	# SOAP-Lite-0.60a unwinds into SOAP-Lite-0.60, so correct it
	if [ "$DIR" = "SOAP-Lite-0.60a" ]; then
		rm -rf SOAP-Lite-0.60a
		mv SOAP-Lite-0.60 SOAP-Lite-0.60a
	fi
	cd ${DIR}
	rm -rf opt
	ln -s ../opt opt
	export BUILDROOT=.
	export PERL5LIB=opt/lib
	export OPTIONS="PREFIX=$BUILDROOT/opt"
	case $file in
		SOAP-Lite)
			OPTIONS="--noprompt \
				--noPOP3-Server \
				--noMQ \
				--noJABBER \
				--noMIMEParser \
				PREFIX=$BUILDROOT/opt"
			;;
		XML-Parser)
			;;
	esac
	echo "run 'Makefile.PL $OPTIONS'"
	if [ "$file" = "SOAP-Lite" ]; then
		# Auto press "<enter>" for examine detailed list prompt
		echo "" | /opt/bin/perl Makefile.PL $OPTIONS
	else 
		/opt/bin/perl Makefile.PL $OPTIONS
	fi
	make
	cd $CURDIR
done

